package trailwalker.track.eventHandling;

import java.util.EventObject;

import trailwalker.track.location.TWLocationManager;

import android.os.Message;

/**
 * Classe que hereda de EventObject. Correspon a un event de {@link TWLocationManager}
 * @author Albert Jord Vinardell
 * @version Desembre 2012
 * */
public class TWLocationManagerEvent extends EventObject {
    //*******************************************************************************
    //Constants
    //*******************************************************************************
	private static final long serialVersionUID = -6150728044234721826L;
	
    //*******************************************************************************
    //Variables
    //*******************************************************************************
	private Message _message = null;
	
    //*******************************************************************************
    //Constructor
    //*******************************************************************************
	/**
	 * Constructor
	 * @param source instncia de {@link Object} que cont la informaci de l'event
	 * */
	public TWLocationManagerEvent(Object source) {
		super(source);
	}
	
	/**
	 * Constructor
	 * @param source instncia de {@link Object} que cont la informaci de l'event
	 * @param message instncia de {@link Message} que cont informaci relativa a l'event, per a que pugui ser tractada posteriorment pel receptor
	 * */
	public TWLocationManagerEvent(Object source, Message message) {
		super(source);
		this._message = message;
	}
	
	/**
	 * Getter del {@link Message}
	 * @return Message amb la informaci relativa a l'event
	 * */
	public Message getMessage(){
		return this._message;
	}

}