package trailwalker.track.ui;

import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.os.Message;

import com.example.trailwalker.track.R;

/**
 * Classe per mostrar una caixa de dileg per avisar a l'usuari sobre el perill de modificar la configuraci de l'aplicaci
 * @author Albert Jord Vinardell
 * @version Desembre 2012
 * */
public class ApplicationSettingsDialogIni {
    //*******************************************************************************
    //Variables
    //*******************************************************************************
	private Context mContext = null;
	private AlertDialog.Builder alertDialog = null;
	private Message mMessage = null;

    //*******************************************************************************
    //Constructor
    //*******************************************************************************
    /**
     * Constructor
     * @param context Objecte {@link Context} de l'aplicaci
     * @param message Objecte {@link Message} que tonar a la {@link TrailWalkerTrackActivity} per indicar el nou nom
     * */
	public ApplicationSettingsDialogIni(Context context, Message message){
		mContext = context;
		mMessage = message;
	}

    //*******************************************************************************
    //Funcions
    //*******************************************************************************
    /**
     * Funci per mostrar la caixa de dileg
     * */
	public void show(){
		alertDialog = new AlertDialog.Builder(mContext);
		alertDialog.setTitle(R.string.configuracio_aplicacio);
		alertDialog.setIcon(R.drawable.ic_launcher);
		alertDialog.setMessage(R.string.configuracio_aplicacio_alerta);
		setPositiveButton();
		setNegativeButton();
		alertDialog.show();
	}
	
	/**
	 * Implementaci del bot Ok
	 * */
	private void setPositiveButton(){
		alertDialog.setPositiveButton(R.string.ok, new DialogInterface.OnClickListener() {
            public void onClick(DialogInterface dialog,int which) {
                mMessage.sendToTarget();
	        	dialog.cancel();
            }
        });
	}

	/**
	 * Implementaci del bot Cancelar
	 * */
	private void setNegativeButton(){
		alertDialog.setNegativeButton(R.string.cancel, new DialogInterface.OnClickListener() {
            public void onClick(DialogInterface dialog, int which) {
            dialog.cancel();
            }
        });
	}
}
