package trailwalker.track.ui;

import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.os.Message;

import com.example.trailwalker.track.R;

/**
 * Classe per mostrar una caixa de dileg per demanar confirmaci a l'usuari per tancar l'aplicaci
 * @author Albert Jord Vinardell
 * @version Desembre 2012
 * */
public class ShutDownApplicationDialog {
    //*******************************************************************************
    //Variables
    //*******************************************************************************
    private Context mContext;
    private AlertDialog.Builder alertDialog = null;
    private Message message = null;

    //*******************************************************************************
    //Constructor
    //*******************************************************************************
    /**
     * Constructor
     * @param context Objecte {@link Context} de l'aplicaci
     * @param message Objecte {@link Message} que tonar a la {@link TrailWalkerTrackActivity} per indicar el nou nom
     * */
    public ShutDownApplicationDialog(Context context, Message message){
    	this.mContext=context;
    	this.message = message;
    }
    
    //*******************************************************************************
    //Funcions
    //*******************************************************************************
    /**
     * Funci per mostrar la caixa de dileg
     * */
    public void show(){
        alertDialog = new AlertDialog.Builder(mContext);
 
        // Setting Dialog Title
        alertDialog.setTitle(R.string.tancar_aplicacio);
        alertDialog.setIcon(android.R.drawable.ic_dialog_alert);
        alertDialog.setMessage(R.string.texte_confirmacio_tancar_aplicacio);
        
        // Implementaci del bot OK
        alertDialog.setPositiveButton(R.string.ok, new DialogInterface.OnClickListener() {
            public void onClick(DialogInterface dialog,int which) {
                //S'envia el Message a TrailWalkerTrackActivity
            	message.sendToTarget();
                dialog.cancel();
            }
        });
 
        // Implementaci del bot cancelar
        alertDialog.setNegativeButton(R.string.cancel, new DialogInterface.OnClickListener() {
            public void onClick(DialogInterface dialog, int which) {
            dialog.cancel();
            }
        });
 
        alertDialog.show();
    }
}
