package trailwalker.track.ui;

import trailwalker.track.service.TWApplicationSetingsManager;

import com.example.trailwalker.track.R;

import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.os.Message;
import android.text.Editable;
import android.widget.EditText;

/**
 * Classe per mostrar una caixa de dileg per canviar el nom de l'equip
 * @author Albert Jord Vinardell
 * @version Desembre 2012
 * */
public class TeamSettingsDialog {
    //*******************************************************************************
    //Variables
    //*******************************************************************************
    private Context mContext;
    private AlertDialog.Builder alertDialog = null;
    EditText input = null;
    private String oldName = null;
    private Message mMessage = null;
    
    //*******************************************************************************
    //Constructor
    //*******************************************************************************
    /**
     * Constructor
     * @param context Objecte {@link Context} de l'aplicaci
     * @param message Objecte {@link Message} que tonar a la {@link TrailWalkerTrackActivity} per indicar el nou nom
     * */
    public TeamSettingsDialog(Context context,Message message){
    	this.mContext=context;
    	oldName = (String)message.obj;
    	mMessage = message;
    }
    
    //*******************************************************************************
    //Funcions
    //*******************************************************************************
    /**
     * Funci per mostrar la caixa de dileg
     * */
	public void show(){
        alertDialog = new AlertDialog.Builder(mContext);
 
        // Setting Dialog Title
        alertDialog.setTitle(R.string.modificar_nom_equip);
        alertDialog.setIcon(R.drawable.ic_launcher);

        
        input = new EditText(mContext);
        input.setId(696969);
        input.setText(oldName);
        alertDialog.setView(input);
        
        // Implementaci del bot OK
        alertDialog.setPositiveButton(R.string.ok, new DialogInterface.OnClickListener() {
            public void onClick(DialogInterface dialog,int which) {
                Editable value = input.getText();
                //S'indica la informaci en el Message
                mMessage.obj = value.toString();
                //S'envia el Message a TrailWalkerTrackActivity
                mMessage.sendToTarget();
                //Es persisteix la informaci
                new TWApplicationSetingsManager(mContext).setTeamName(value.toString());
	        	dialog.cancel();
            }
        });
 
        // Implementaci del bot cancelar
        alertDialog.setNegativeButton(R.string.cancel, new DialogInterface.OnClickListener() {
            public void onClick(DialogInterface dialog, int which) {
            dialog.cancel();
            }
        });
 
        alertDialog.show();
    }
}