package trailwalker.track.ui.data;

/**
 * Classe utilitzada per altres classes per transportar informaci referent a l'estat de l'aplicaci (si est capturant posicions, nombre de posicions capturades, nombre de posicions enviades...)
 * @author Albert Jord Vinardell
 * @version Desembre 2012
 * */
public class StatusInformation {
    //*******************************************************************************
    //Variables
    //*******************************************************************************
	private boolean requestingLocationUpdates = false;
	private int numberOfLocationInformationSent = -1;
	private int numberOfLocationInformationStored = -1;
	private String message = "";
	
    //*******************************************************************************
    //Constructor
    //*******************************************************************************
	/**
	 * @param requestingLocationUpdates boole per indicar que el sistema est capturant posicions
	 * @param numberOfLocationInformationSent enter per indicar el nombre de posicions enviades al servidor GIS
	 * @param numberOfLocationInformationStored enter per indicar el nombre de posicions emmagatzemades
	 * @param message String per contenir informaci addicional
	 * */
	public StatusInformation(boolean requestingLocationUpdates,
			int numberOfLocationInformationSent,
			int numberOfLocationInformationStored, String message) {
		super();
		this.requestingLocationUpdates = requestingLocationUpdates;
		this.numberOfLocationInformationSent = numberOfLocationInformationSent;
		this.numberOfLocationInformationStored = numberOfLocationInformationStored;
		this.message = message;
	}

	/**
	 * Funci que torna si s'est capturant posicions
	 * @return boolean en funci de si s'est capturant posicions (true) o no (false)
	 * */
	public boolean isRequestingLocationUpdates() {
		return requestingLocationUpdates;
	}

	/**
	 * Funci per fixar si s'estan capturant posicions
	 * @param requestingLocationUpdates boole per indicar si s'estan capturant posicions (true) o no (false)
	 * */
	public void setRequestingLocationUpdates(boolean requestingLocationUpdates) {
		this.requestingLocationUpdates = requestingLocationUpdates;
	}

	/**
	 * Funci que torna el nombre de posicions enviades al servidor GIS
	 * @return enter amb el nombre de posicions
	 * */
	public int getNumberOfLocationInformationSent() {
		return numberOfLocationInformationSent;
	}

	/**
	 * Funci per fixar el nombre de posicions enviades al servidor GIS
	 * @param numberOfLocationInformationSent nombre de posicions
	 * */
	public void setNumberOfLocationInformationSent(
			int numberOfLocationInformationSent) {
		this.numberOfLocationInformationSent = numberOfLocationInformationSent;
	}
	
	/**
	 * Funci que torna el nombre de posicions emmagatzemades
	 * @return enter amb el nombre de posicions
	 * */
	public int getNumberOfLocationInformationStored() {
		return numberOfLocationInformationStored;
	}
	
	/**
	 * Funci per fixar el nombre de posicions emmagatzemades
	 * @param numberOfLocationInformationStored nombre de posicions
	 * */
	public void setNumberOfLocationInformationStored(
			int numberOfLocationInformationStored) {
		this.numberOfLocationInformationStored = numberOfLocationInformationStored;
	}
	
	/**
	 * Funci que torna la informaci addicional
	 * @return String amb la informaci
	 * */
	public String getMessage() {
		return message;
	}
	
	/**
	 * Funci per fixar la informaci addicional
	 * @param message informaci addicional
	 * */
	public void setMessage(String message) {
		this.message = message;
	}
	
	
	
}
